<div *ngIf="killer">
  <h2>{{killer.name | uppercase}} Details</h2>
  <div><span>id: </span>{{killer.id}}</div>
  <div>
    <label>name:
      <input [(ngModel)]="killer.name" placeholder="name">
    </label>
  </div>
</div>
<button (click)="goBack()">Go Back</button>